summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-01-20 22:41:36 -0200
committerSilvio Rhatto <rhatto@riseup.net>2013-01-20 22:41:36 -0200
commita52af18b09cb6f50962e0e5161921485194903da (patch)
tree97ef87608df688fdcfaf612b171b1bd76d0b945f
parent368da0e20e55556ee597ddbbf854b0d297af0647 (diff)
downloadhydra-a52af18b09cb6f50962e0e5161921485194903da.tar.gz
hydra-a52af18b09cb6f50962e0e5161921485194903da.tar.bz2
Adding puppet-{enable,disable} subcommands
l---------share/hydractl/puppet-disable1
-rwxr-xr-xshare/hydractl/puppet-enable39
2 files changed, 40 insertions, 0 deletions
diff --git a/share/hydractl/puppet-disable b/share/hydractl/puppet-disable
new file mode 120000
index 0000000..d68c04b
--- /dev/null
+++ b/share/hydractl/puppet-disable
@@ -0,0 +1 @@
+puppet-enable \ No newline at end of file
diff --git a/share/hydractl/puppet-enable b/share/hydractl/puppet-enable
new file mode 100755
index 0000000..f8ee7a1
--- /dev/null
+++ b/share/hydractl/puppet-enable
@@ -0,0 +1,39 @@
+#!/bin/bash
+#
+# Disable puppet agent.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Command line arguments
+BASENAME="`basename $0`"
+
+# Set sudo config
+local sudo device rsync
+if [ "`whoami`" != 'root' ]; then
+ sudo="sudo"
+fi
+
+# Business
+if [ "$BASENAME" == "puppet-enable" ]; then
+ $sudo sed -i -e 's/START=no/START=yes/' /etc/default/puppet
+ $sudo service puppet start
+else
+ $sudo sed -i -e 's/START=yes/START=no/' /etc/default/puppet
+ $sudo service puppet stop
+fi